searchNodes=[{"type":"module","title":"Bamboo.SesAdapter","doc":"Sends email using AWS SES API v2. Use this adapter to send emails through AWS SES API v2.","ref":"Bamboo.SesAdapter.html"},{"type":"function","title":"Bamboo.SesAdapter.deliver/2","doc":"Implements Bamboo.Adapter callback","ref":"Bamboo.SesAdapter.html#deliver/2"},{"type":"function","title":"Bamboo.SesAdapter.handle_config/1","doc":"Implements Bamboo.Adapter callback","ref":"Bamboo.SesAdapter.html#handle_config/1"},{"type":"function","title":"Bamboo.SesAdapter.set_configuration_set/2","doc":"Set the SES configuration set name. Example email |&gt; Bamboo.SesAdapter . set_configuration_set ( &quot;my-configuration-set&quot; )","ref":"Bamboo.SesAdapter.html#set_configuration_set/2"},{"type":"function","title":"Bamboo.SesAdapter.set_email_tags/2","doc":"Set email tags Example email_tags = [ %{ &quot;Name&quot; =&gt; &quot;color&quot; , &quot;Value&quot; =&gt; &quot;red&quot; } , %{ &quot;Name&quot; =&gt; &quot;temp&quot; , &quot;Value&quot; =&gt; &quot;cold&quot; } ] email |&gt; Bamboo.SesAdapter . set_email_tags ( email_tags )","ref":"Bamboo.SesAdapter.html#set_email_tags/2"},{"type":"function","title":"Bamboo.SesAdapter.set_feedback_forwarding_address/2","doc":"Set the SES feedback forwarding address Example email |&gt; Bamboo.SesAdapter . set_feedback_forwarding_address ( &quot;FEEDBACK FORWARDING ADDRESS&quot; )","ref":"Bamboo.SesAdapter.html#set_feedback_forwarding_address/2"},{"type":"function","title":"Bamboo.SesAdapter.set_feedback_forwarding_address_arn/2","doc":"Set the SES feedback forwarding address arn Example email |&gt; Bamboo.SesAdapter . set_feedback_forwarding_address_arn ( &quot;FEEDBACK FORWARDING ADDRESS ARN&quot; )","ref":"Bamboo.SesAdapter.html#set_feedback_forwarding_address_arn/2"},{"type":"function","title":"Bamboo.SesAdapter.set_from_arn/2","doc":"Set the SES FromEmailAddressIdentityArn. Example email |&gt; Bamboo.SesAdapter . set_from_arn ( &quot;SOME ARN&quot; )","ref":"Bamboo.SesAdapter.html#set_from_arn/2"},{"type":"function","title":"Bamboo.SesAdapter.set_list_management_options/3","doc":"Set the SES list management options Example email |&gt; Bamboo.SesAdapter . set_list_management_options ( &quot;a contact list name&quot; , &quot;a topic name&quot; )","ref":"Bamboo.SesAdapter.html#set_list_management_options/3"},{"type":"function","title":"Bamboo.SesAdapter.set_template_params/4","doc":"Set the SES template params: name, data, ARN Example template_data = Jason . encode! ( %{ subject : &quot;My subject&quot; , html : &quot;&lt;b&gt;Bold text&lt;/b&gt;&quot; , text : &quot;Text&quot; } ) email |&gt; Bamboo.SesAdapter . set_template_params ( &quot;my-template&quot; , template_data ) # or with template ARN email |&gt; Bamboo.SesAdapter . set_template_params ( &quot;my-template&quot; , template_data , &quot;TEMPLATE ARN&quot; )","ref":"Bamboo.SesAdapter.html#set_template_params/4"},{"type":"function","title":"Bamboo.SesAdapter.supports_attachments?/0","doc":"Implements Bamboo.Adapter callback","ref":"Bamboo.SesAdapter.html#supports_attachments?/0"},{"type":"module","title":"BambooSes.Encoding","doc":"Encoding module contains various helper methods related to encoding of a strings and an email addresses","ref":"BambooSes.Encoding.html"},{"type":"function","title":"BambooSes.Encoding.ascii?/1","doc":"Checks if string contains only ASCII characters Returns boolean value","ref":"BambooSes.Encoding.html#ascii?/1"},{"type":"function","title":"BambooSes.Encoding.maybe_rfc1342_encode/1","doc":"Encodes string to rfc1342 if needed Returns encoded string","ref":"BambooSes.Encoding.html#maybe_rfc1342_encode/1"},{"type":"function","title":"BambooSes.Encoding.prepare_address/1","doc":"Encodes an email address. Returns encoded email address. Example prepare_address ( { &quot;&quot; , &quot;john.doe@example.com&quot; } ) prepare_address ( { &quot;John Doe&quot; , &quot;john.doe@example.com&quot; } )","ref":"BambooSes.Encoding.html#prepare_address/1"},{"type":"module","title":"BambooSes.Message","doc":"Contains functions for composing email","ref":"BambooSes.Message.html"},{"type":"function","title":"BambooSes.Message.put_configuration_set_name/2","doc":"Adds configuration set name to message struct","ref":"BambooSes.Message.html#put_configuration_set_name/2"},{"type":"function","title":"BambooSes.Message.put_content/2","doc":"Adds content struct to message struct","ref":"BambooSes.Message.html#put_content/2"},{"type":"function","title":"BambooSes.Message.put_destination/4","doc":"Adds to, cc, bcc fields to message's destination struct and updates message","ref":"BambooSes.Message.html#put_destination/4"},{"type":"function","title":"BambooSes.Message.put_email_tags/2","doc":"Adds email tags to message struct","ref":"BambooSes.Message.html#put_email_tags/2"},{"type":"function","title":"BambooSes.Message.put_feedback_forwarding_address/2","doc":"Adds feedback forwarding address to message struct","ref":"BambooSes.Message.html#put_feedback_forwarding_address/2"},{"type":"function","title":"BambooSes.Message.put_feedback_forwarding_address_arn/2","doc":"Adds feedback forwarding address arn to message struct","ref":"BambooSes.Message.html#put_feedback_forwarding_address_arn/2"},{"type":"function","title":"BambooSes.Message.put_from/2","doc":"Adds from address to message struct","ref":"BambooSes.Message.html#put_from/2"},{"type":"function","title":"BambooSes.Message.put_from_arn/2","doc":"Adds from address ARN to message struct","ref":"BambooSes.Message.html#put_from_arn/2"},{"type":"function","title":"BambooSes.Message.put_list_management_options/3","doc":"Add list management options to message struct","ref":"BambooSes.Message.html#put_list_management_options/3"},{"type":"function","title":"BambooSes.Message.put_reply_to/2","doc":"Adds reply to address to message struct","ref":"BambooSes.Message.html#put_reply_to/2"},{"type":"type","title":"BambooSes.Message.t/0","doc":"","ref":"BambooSes.Message.html#t:t/0"},{"type":"module","title":"BambooSes.Message.Content","doc":"Contains functions for composing email content. Depending on email it can generate simple, raw or template content.","ref":"BambooSes.Message.Content.html"},{"type":"function","title":"BambooSes.Message.Content.build_from_bamboo_email/1","doc":"Generates simple, raw or template content struct Returns If template params are given then a template content struct will be returned. If email has no attachments and headers then a simple content struct will be returned. If there is an attachment or a header (apart from Reply-To) then raw content struct will be returned.","ref":"BambooSes.Message.Content.html#build_from_bamboo_email/1"},{"type":"type","title":"BambooSes.Message.Content.t/0","doc":"","ref":"BambooSes.Message.Content.html#t:t/0"},{"type":"module","title":"BambooSes.Message.Destination","doc":"Contains functions for composing destination information","ref":"BambooSes.Message.Destination.html"},{"type":"function","title":"BambooSes.Message.Destination.put_bcc/2","doc":"Adds single recipient or list of recipients to the &quot;Bcc&quot; field of the destination struct Example put_bcc ( destination , [ { &quot;John Doe&quot; , &quot;john.doe@example.com&quot; } , { &quot;Jane Doe&quot; , &quot;jane.doe@example.com&quot; } ] put_bcc ( destination , { &quot;John Doe&quot; , &quot;john.doe@example.com&quot; } )","ref":"BambooSes.Message.Destination.html#put_bcc/2"},{"type":"function","title":"BambooSes.Message.Destination.put_cc/2","doc":"Adds single recipient or list of recipients to the &quot;Cc&quot; field of the destination struct Example put_cc ( destination , [ { &quot;John Doe&quot; , &quot;john.doe@example.com&quot; } , { &quot;Jane Doe&quot; , &quot;jane.doe@example.com&quot; } ] put_cc ( destination , { &quot;John Doe&quot; , &quot;john.doe@example.com&quot; } )","ref":"BambooSes.Message.Destination.html#put_cc/2"},{"type":"function","title":"BambooSes.Message.Destination.put_to/2","doc":"Adds single recipient or list of recipients to the &quot;To&quot; field of the destination struct Example put_to ( destination , [ { &quot;John Doe&quot; , &quot;john.doe@example.com&quot; } , { &quot;Jane Doe&quot; , &quot;jane.doe@example.com&quot; } ] put_to ( destination , { &quot;John Doe&quot; , &quot;john.doe@example.com&quot; } )","ref":"BambooSes.Message.Destination.html#put_to/2"},{"type":"type","title":"BambooSes.Message.Destination.recipients/0","doc":"","ref":"BambooSes.Message.Destination.html#t:recipients/0"},{"type":"type","title":"BambooSes.Message.Destination.t/0","doc":"","ref":"BambooSes.Message.Destination.html#t:t/0"},{"type":"module","title":"BambooSes.Render.Raw","doc":"Functions for rendering email messages into strings.","ref":"BambooSes.Render.Raw.html"},{"type":"function","title":"BambooSes.Render.Raw.render/2","doc":"Returns a tuple with all data needed for the underlying adapter to send.","ref":"BambooSes.Render.Raw.html#render/2"},{"type":"extras","title":"Contributing","doc":"Contributions to BambooSes are always welcome! Feel free to just open a PR or an issue to https://github.com/kalys/bamboo_ses","ref":"contributing.html"},{"type":"extras","title":"Code of Conduct","doc":"","ref":"code_of_conduct.html"},{"type":"extras","title":"Code of Conduct - Our Pledge","doc":"In the interest of fostering an open and welcoming environment, we as contributors and maintainers pledge to making participation in our project and our community a harassment-free experience for everyone, regardless of age, body size, disability, ethnicity, gender identity and expression, level of experience, nationality, personal appearance, race, religion, or sexual identity and orientation.","ref":"code_of_conduct.html#our-pledge"},{"type":"extras","title":"Code of Conduct - Our Standards","doc":"Examples of behavior that contributes to creating a positive environment include: Using welcoming and inclusive language Being respectful of differing viewpoints and experiences Gracefully accepting constructive criticism Focusing on what is best for the community Showing empathy towards other community members Examples of unacceptable behavior by participants include: The use of sexualized language or imagery and unwelcome sexual attention or advances Trolling, insulting/derogatory comments, and personal or political attacks Public or private harassment Publishing others' private information, such as a physical or electronic address, without explicit permission Other conduct which could reasonably be considered inappropriate in a professional setting","ref":"code_of_conduct.html#our-standards"},{"type":"extras","title":"Code of Conduct - Our Responsibilities","doc":"Project maintainers are responsible for clarifying the standards of acceptable behavior and are expected to take appropriate and fair corrective action in response to any instances of unacceptable behavior. Project maintainers have the right and responsibility to remove, edit, or reject comments, commits, code, wiki edits, issues, and other contributions that are not aligned to this Code of Conduct, or to ban temporarily or permanently any contributor for other behaviors that they deem inappropriate, threatening, offensive, or harmful.","ref":"code_of_conduct.html#our-responsibilities"},{"type":"extras","title":"Code of Conduct - Scope","doc":"This Code of Conduct applies both within project spaces and in public spaces when an individual is representing the project or its community. Examples of representing a project or community include using an official project e-mail address, posting via an official social media account, or acting as an appointed representative at an online or offline event. Representation of a project may be further defined and clarified by project maintainers.","ref":"code_of_conduct.html#scope"},{"type":"extras","title":"Code of Conduct - Enforcement","doc":"Instances of abusive, harassing, or otherwise unacceptable behavior may be reported by contacting the project team at kalys@osmonov.com. The project team will review and investigate all complaints, and will respond in a way that it deems appropriate to the circumstances. The project team is obligated to maintain confidentiality with regard to the reporter of an incident. Further details of specific enforcement policies may be posted separately. Project maintainers who do not follow or enforce the Code of Conduct in good faith may face temporary or permanent repercussions as determined by other members of the project's leadership.","ref":"code_of_conduct.html#enforcement"},{"type":"extras","title":"Code of Conduct - Attribution","doc":"This Code of Conduct is adapted from the Contributor Covenant , version 1.4, available at http://contributor-covenant.org/version/1/4","ref":"code_of_conduct.html#attribution"},{"type":"extras","title":"License","doc":"MIT License Copyright (c) 2018 Kalys Osmonov Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html"},{"type":"extras","title":"Overview","doc":"AWS SES adapter for Bamboo","ref":"readme.html"},{"type":"extras","title":"Overview - Installation","doc":"The package can be installed by adding :bamboo_ses to your list of dependencies in mix.exs : def deps do [ { :bamboo_ses , &quot;~&gt; 0.4.0&quot; } ] end","ref":"readme.html#installation"},{"type":"extras","title":"Overview - Configuration","doc":"Change the config for your mailer: config :my_app , MyApp.Mailer , adapter : Bamboo.SesAdapter This package has ExAws as a dependency, and you have to configure it. To find more on AWS key configuration, please follow this link . You can also override the default ExAws configuration defining a Keyword list as :ex_aws key in the mailer config: config :my_app , MyApp.Mailer , adapter : Bamboo.SesAdapter , ex_aws : [ region : &quot;eu-west-1&quot; ]","ref":"readme.html#configuration"},{"type":"extras","title":"Overview - Usage","doc":"email |&gt; Bamboo.SesAdapter . set_configuration_set ( &quot;my-configuration-name&quot; ) |&gt; TestBambooSes.Mailer . deliver_now ( ) See all available methods on https://hexdocs.pm/bamboo_ses/Bamboo.SesAdapter.html","ref":"readme.html#usage"},{"type":"extras","title":"Overview - Copyright and License","doc":"Copyright (c) 2018 Kalys Osmonov This library is released under the MIT License. See the LICENSE.md file.","ref":"readme.html#copyright-and-license"}]